Skip to content

getJSONWebKeySet

GET
/jwks
curl --request GET \
--url https://gymgym.club/api/auth/jwks \
--header 'Authorization: Bearer <token>'

Get the JSON Web Key Set

JSON Web Key Set retrieved successfully

Media typeapplication/json
object
keys
required

Array of public JSON Web Keys

Array<object>
object
kid
required

Key ID uniquely identifying the key, corresponds to the ‘id’ from the stored Jwk

string
kty
required

Key type (e.g., ‘RSA’, ‘EC’, ‘OKP’)

string
alg
required

Algorithm intended for use with the key (e.g., ‘EdDSA’, ‘RS256’)

string
use

Intended use of the public key (e.g., ‘sig’ for signature)

string
nullable
Allowed values: sig
n

Modulus for RSA keys (base64url-encoded)

string
nullable
e

Exponent for RSA keys (base64url-encoded)

string
nullable
crv

Curve name for elliptic curve keys (e.g., ‘Ed25519’, ‘P-256’)

string
nullable
x

X coordinate for elliptic curve keys (base64url-encoded)

string
nullable
y

Y coordinate for elliptic curve keys (base64url-encoded)

string
nullable
Example
{
"keys": [
{
"use": "sig"
}
]
}

Bad Request. Usually due to missing parameters, or invalid parameters.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}